Get Transaction Flowchart
curl --request GET \
--url https://api.eflow.team/v1/networks/reporting/transactions/{transactionId}/flowchart \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/reporting/transactions/{transactionId}/flowchart"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/reporting/transactions/{transactionId}/flowchart', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clicks": [
{
"transaction_id": "<string>",
"unix_timestamp": 123,
"network_offer_id": 123,
"network_advertiser_id": 123,
"network_affiliate_id": 123,
"currency_id": "<string>",
"error_code": 123,
"referrer": "<string>",
"is_view_through": true,
"payout_type": "<string>",
"revenue_type": "<string>",
"payout": 123,
"revenue": 123,
"relationship": {
"internal_redirect_count": 123
}
}
],
"conversions": [
{
"transaction_id": "<string>",
"conversion_id": "<string>",
"unix_timestamp": 123,
"currency_id": "<string>",
"payout": 123,
"revenue": 123,
"sale_amount": 123,
"event_name": "<string>",
"is_scrub": true,
"network_advertiser_global_event_id": 123,
"network_offer_payout_revenue_id": 123,
"network_custom_payout_revenue_setting_id": 123,
"error_code": 123,
"coupon_code": "<string>",
"email": "<string>",
"payout_type": "<string>",
"revenue_type": "<string>",
"relationship": {
"attribution_method": "<string>",
"advertiser_event": {},
"offer_payout_revenue": {},
"custom_payout_revenue_setting": {},
"on_hold": {
"on_hold_conversion_id": "<string>",
"holding_period_end": 123,
"status": "<string>"
},
"network_coupon_code_id": 123
}
}
],
"pixel_logs": [
{
"conversion_id": "<string>",
"unix_timestamp": 123,
"is_success": true,
"pixel_id": 123,
"relationship": {}
}
]
}Transactions
Get Transaction Flowchart
GET
/
networks
/
reporting
/
transactions
/
{transactionId}
/
flowchart
Get Transaction Flowchart
Returns the full event chain for a transaction. Shows the complete sequence of events from the initial click through conversion, post- conversion events, and postback firings. Useful for debugging attribution and tracking flows.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The transaction ID to retrieve the flowchart for.
Was this page helpful?
⌘I
